Bug 520299 - kernel: ipv4: make ip_append_data() handle NULL routing table [rhel-4.9]
Summary: kernel: ipv4: make ip_append_data() handle NULL routing table [rhel-4.9]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.9
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Jiri Pirko
QA Contact: Network QE
URL:
Whiteboard:
Depends On: 520297
Blocks: 537016
TreeView+ depends on / blocked
 
Reported: 2009-08-30 11:22 UTC by Eugene Teo (Security Response)
Modified: 2015-05-05 01:17 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 520297
Environment:
Last Closed: 2011-02-16 15:30:13 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0263 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 4.9 kernel security and bug fix update 2011-02-16 15:14:55 UTC

Description Eugene Teo (Security Response) 2009-08-30 11:22:46 UTC
+++ This bug was initially created as a clone of Bug #520297 +++

Description of problem:
Add a check in ip_append_data() for NULL *rtp to prevent future bugs in callers from being exploitable.

http://git.kernel.org/linus/788d908f2879a17e5f80924f3da2e23f1034482d

Comment 4 RHEL Product and Program Management 2009-10-13 13:49:59 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 7 Vivek Goyal 2009-11-16 16:01:54 UTC
Committed in 89.16.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/

Comment 12 Mike Gahagan 2011-01-04 20:51:47 UTC
confirmed fix is in the -94 kernel.

Comment 13 errata-xmlrpc 2011-02-16 15:30:13 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0263.html


Note You need to log in before you can comment on or make changes to this bug.